Loading...
Searching...
No Matches
caf::default_actor_traits< T, ExtendsAbstractActor > Struct Template Reference

Default implementation of actor_traits for non-actors (SFINAE-friendly). More...

`#include <actor_traits.hpp>`

## Static Public Attributes

static constexpr bool | is_dynamically_typed = false
static constexpr bool | is_statically_typed = false
static constexpr bool | is_blocking = false
static constexpr bool | is_non_blocking = false
static constexpr bool | is_incomplete = true

## Detailed Description

template<class T, bool ExtendsAbstractActor>
struct caf::default_actor_traits< T, ExtendsAbstractActor >

Default implementation of actor_traits for non-actors (SFINAE-friendly).

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/actor_traits.hpp